Get client auth config
curl --request GET \
--url https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"auth": {
"user_pool_api_client_id": "user_pool_api_client_id",
"mandatory_sign_in": true,
"identity_pool_id": "identity_pool_id",
"user_pool_id": "user_pool_id",
"federation_target": "federation_target",
"region": "region",
"user_pool_web_client_id": "user_pool_web_client_id"
},
"authentication_flow_type": "authentication_flow_type",
"auth_backend": "auth_backend",
"oauth": {
"redirect_sign_out": "redirect_sign_out",
"domain": "domain",
"scope": [
"scope",
"scope"
],
"redirect_sign_in": "redirect_sign_in",
"response_type": "response_type"
}
}Get client auth config
GET
/
api
/
Meta
/
GetAuthConfig
Get client auth config
curl --request GET \
--url https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Meta/GetAuthConfig")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"auth": {
"user_pool_api_client_id": "user_pool_api_client_id",
"mandatory_sign_in": true,
"identity_pool_id": "identity_pool_id",
"user_pool_id": "user_pool_id",
"federation_target": "federation_target",
"region": "region",
"user_pool_web_client_id": "user_pool_web_client_id"
},
"authentication_flow_type": "authentication_flow_type",
"auth_backend": "auth_backend",
"oauth": {
"redirect_sign_out": "redirect_sign_out",
"domain": "domain",
"scope": [
"scope",
"scope"
],
"redirect_sign_in": "redirect_sign_in",
"response_type": "response_type"
}
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Response
Success
Available options:
Derivitec.Web.Models.AuthConfig, Derivitec.Web.Models Show child attributes
Show child attributes
Example:
{
"redirect_sign_out": "redirect_sign_out",
"domain": "domain",
"scope": ["scope", "scope"],
"redirect_sign_in": "redirect_sign_in",
"response_type": "response_type"
}
Show child attributes
Show child attributes
Example:
{
"user_pool_api_client_id": "user_pool_api_client_id",
"mandatory_sign_in": true,
"identity_pool_id": "identity_pool_id",
"user_pool_id": "user_pool_id",
"federation_target": "federation_target",
"region": "region",
"user_pool_web_client_id": "user_pool_web_client_id"
}
Was this page helpful?